Operation CategoriesИзменить настройки категории

Изменить настройки категории

name/описание/оформление/скоупы/approval/archived. version++. key/поля — отдельно.

curl -X PATCH "https://policy-engine-rest.ezig.workers.dev/api/v1/vaults/demo_vault/operation-categories/example_string" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -d '{
  "name": "John Doe",
  "description": "example_string",
  "emoji": "example_string",
  "color": "example_string",
  "appliesTo": "transfer",
  "viewScope": "owner_only",
  "assignScope": "owner_only",
  "editScope": "owner_only",
  "approvalScope": "none",
  "approvalThreshold": 42,
  "allowInitiatorApproval": true,
  "archived": true
}'
{
  "id": "cmr3f41z20001psp7phmyapw3",
  "vaultId": "example_string",
  "key": "example_string",
  "name": "John Doe",
  "description": "example_string",
  "emoji": "example_string",
  "color": "example_string",
  "appliesTo": "transfer",
  "viewScope": "owner_only",
  "assignScope": "owner_only",
  "editScope": "owner_only",
  "approvalScope": "none",
  "approvalThreshold": 42,
  "allowInitiatorApproval": true,
  "isSystem": true,
  "archived": true,
  "version": 42,
  "createdById": "example_string",
  "updatedById": "example_string",
  "createdAt": "2026-07-02T11:25:15.134Z",
  "updatedAt": "2026-07-02T11:25:15.134Z",
  "fields": [
    {
      "id": "cmr3f41z20001psp7phmyapw3",
      "categoryId": "example_string",
      "key": "example_string",
      "label": "example_string",
      "type": "text",
      "required": true,
      "optionsJson": [
        {
          "value": "example_string",
          "label": "example_string"
        }
      ],
      "scale": 42,
      "currencyFieldKey": "example_string",
      "unit": "example_string",
      "defaultJson": "null",
      "helpText": "example_string",
      "sensitive": true,
      "orderIndex": 42,
      "archived": true,
      "createdAt": "2026-07-02T11:25:15.134Z",
      "updatedAt": "2026-07-02T11:25:15.134Z"
    }
  ],
  "grants": [
    {
      "id": "cmr3f41z20001psp7phmyapw3",
      "vaultId": "example_string",
      "categoryId": "example_string",
      "subjectType": "user",
      "subjectUserId": "example_string",
      "subjectGroupId": "example_string",
      "canView": true,
      "canAssign": true,
      "canEdit": true,
      "grantorId": "example_string",
      "status": "example_string",
      "createdAt": "2026-07-02T11:25:15.134Z"
    }
  ],
  "approvers": [
    {
      "id": "cmr3f41z20001psp7phmyapw3",
      "categoryId": "example_string",
      "kind": "user",
      "userId": "example_string",
      "groupId": "example_string",
      "createdAt": "2026-07-02T11:25:15.134Z"
    }
  ]
}
PATCH
/api/v1/vaults/{code}/operation-categories/{id}
PATCH
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

better-auth session token. Мобилка/сервисы. Веб использует cookie.

better-auth session token. Мобилка/сервисы. Веб использует cookie.
API Key (cookie: better-auth.session_token)
path
codestring
Required

Уникальный код Vault'а (slug)

Content-Typestring
Required

The media type of the request body

Options: application/json
namestring
Min length: 1 • Max length: 200
appliesTostring
Options: transfer, deposit, both
viewScopestring
Options: owner_only, vault_members, restricted
assignScopestring
Options: owner_only, vault_members, restricted
editScopestring
Options: owner_only, vault_members, restricted
approvalScopestring
Options: none, edit, assign_and_edit
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. better-auth session token. Мобилка/сервисы. Веб использует cookie.

path
parameterstring
Required

API Key for authentication. Provide your API key in the cookie.

Path Parameters

codestring
Required

Уникальный код Vault'а (slug)

Example:
demo_vault

Body

application/json
appliesTostring
Allowed values:transferdepositboth
viewScopestring
Allowed values:owner_onlyvault_membersrestricted
assignScopestring
Allowed values:owner_onlyvault_membersrestricted
editScopestring
Allowed values:owner_onlyvault_membersrestricted
approvalScopestring
Allowed values:noneeditassign_and_edit

Responses

idstring
Required

cuid

vaultIdstring
Required
keystring
Required
namestring
Required
descriptionstring
Required
emojistring
Required
colorstring
Required
appliesTostring
Required
Allowed values:transferdepositboth
viewScopestring
Required
Allowed values:owner_onlyvault_membersrestricted
assignScopestring
Required
Allowed values:owner_onlyvault_membersrestricted
editScopestring
Required
Allowed values:owner_onlyvault_membersrestricted
approvalScopestring
Required
Allowed values:noneeditassign_and_edit
approvalThresholdstring
Required
allowInitiatorApprovalboolean
Required
isSystemboolean
Required
archivedboolean
Required
versioninteger
Required
createdByIdstring
Required
updatedByIdstring
Required
createdAtstring
Required
updatedAtstring
Required
fieldsarray
grantsarray
approversarray